package oop.FileHandling.character;
import java.io.FileReader;
import java.io.File;
import java.io.IOException;
import java.io.BufferedReader;

/*
 * - hauptfubktion: Liest ganze Zeilen (line by line) auf einmal und ruft die Methode readLine() aus
 * 
 */
public class Bufferedreader {

	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new FileReader("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\FileHandling\\character\\Test1"));
		String line = br.readLine();
		/*
		 * - Liest nur eine einzige Line auf dem File
		 * 	 Lösungsmöglichkeit => Loop erzeugen
		 */
		while(line != null) {
			System.out.println(line); // print die erste Line
			line = br.readLine(); // spring auf die nächste Linie
		}
			
		
	}

}
